%define galagover 0.5.2

%define pkgconfigdir %{_datadir}/pkgconfig
%define monodir %{_prefix}/lib/mono

Summary:	Galago Mono bindings
Name:		galago-sharp
Version:	0.5.0
Release:	17
License:	LGPL
Group:		Development/Other
Url:		http://www.galago-project.org/
Source0:	http://galago-project.org/files/releases/source/galago-sharp/%{name}-%{version}.tar.bz2
Source1:	galago-sharp-0.5.0-dll.config
Source2:	libgalago-%{galagover}.tar.bz2
Patch0:		galago-sharp-0.5.0-nunit.patch
Patch1:		galago-sharp-0.5.0-disable-tests.patch
BuildRequires:	libgalago-devel >= 0.5.0
BuildRequires:	mono-devel
#gw only needed for the tests
#BuildRequires: dbus-sharp
BuildRequires:	gtk-sharp2-devel
BuildRequires:	glib-sharp2
BuildRequires:	libxslt-proc
BuildRequires:	automake1.8
BuildArch:	noarch
Requires:	galago3 >= %{galagover}

%description
This are the Mono/.NET bindings for the Galago desktop presence framework.

%prep
%setup -q -a 2
cp %{SOURCE1}  galago-sharp.dll.config
%patch0 -p1
%patch1 -p1
autoreconf -fi
mv libgalago-%{galagover} sources/libgalago

%build
./configure --prefix=%{_prefix} --libdir=%{_prefix}/lib
make

%check
make check

%install
%makeinstall_std pcdatadir=%{pkgconfigdir}
cp galago-sharp.dll.config %{buildroot}%{monodir}/gac/%{name}/*/

%files
%doc README ChangeLog AUTHORS NEWS
%{monodir}/%{name}
%{monodir}/gac/%{name}
%{pkgconfigdir}/%{name}.pc
%{_datadir}/gapi-2.0/galago-api.xml


%changelog
* Mon Jul 07 2014 Tigro <ashejn@gmail.com> 0.5.0-17
+ Revision: 5a9bc72
- clean up spec


